Installieren Sie unsere App 🪄 Klicken Sie auf das -Symbol oben rechts in der Adressleiste.

Saved views

GET https://analyticse.com/api/dashboard-views/
curl --request GET \
--url 'https://analyticse.com/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
website_id Optional Integer
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name.
datetime_field Optional String Erlaubte Werte: datetime, last_datetime
datetime_start Optional String Startdatum
datetime_end Optional String Enddatum
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: dashboard_view_id, website_id, user_id, name, datetime, last_datetime.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "name": "Example",
            "filters": [
                {
                    "by": "country_code",
                    "rule": "is",
                    "value": "US"
                }
            ],
            "datetime": "2026-09-12 00:49:32",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://analyticse.com/api/dashboard-views?page=1",
        "last": "https://analyticse.com/api/dashboard-views?page=1",
        "next": null,
        "prev": null,
        "self": "https://analyticse.com/api/dashboard-views?page=1"
    }
}
GET https://analyticse.com/api/dashboard-views/{dashboard_view_id}
curl --request GET \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "filters": [
            {
                "by": "country_code",
                "rule": "is",
                "value": "US"
            }
        ],
        "datetime": "2026-09-12 00:49:32",
        "last_datetime": null
    }
}
POST https://analyticse.com/api/dashboard-views
Parameter Details Beschreibung
website_id Erforderlich Integer -
name Erforderlich String -
filters Erforderlich String JSON encoded array with by, rule, and value.
curl --request POST \
--url 'https://analyticse.com/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "filters": [
            {
                "by": "country_code",
                "rule": "is",
                "value": "US"
            }
        ],
        "datetime": "2026-09-12 00:49:32",
        "last_datetime": null
    }
}
POST https://analyticse.com/api/dashboard-views/{dashboard_view_id}
Parameter Details Beschreibung
website_id Optional Integer -
name Optional String -
filters Optional String JSON encoded array with by, rule, and value.
curl --request POST \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "filters": [
            {
                "by": "country_code",
                "rule": "is",
                "value": "US"
            }
        ],
        "datetime": "2026-09-12 00:49:32",
        "last_datetime": "2026-09-12 00:49:32"
    }
}
DELETE https://analyticse.com/api/dashboard-views/{dashboard_view_id}
curl --request DELETE \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \